Package weka.gui

# Class SelectedTagEditor

java.lang.Object
java.beans.PropertyEditorSupport
weka.gui.SelectedTagEditor

All Implemented Interfaces:
  `PropertyEditor`

public class SelectedTagEditor extends PropertyEditorSupport
A PropertyEditor that uses tags, where the tags are obtained from a weka.core.SelectedTag object.

Version:
  $Revision: 7059 $
Author:
  Len Trigg (trigg@cs.waikato.ac.nz)

## Constructor Summary

Constructors
Constructor
Description
`SelectedTagEditor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
Gets the current value as text.
`String`
`getJavaInitializationString()`
Returns a description of the property value as java source.
`String[]`
`getTags()`
Gets the list of tags that can be selected from.
`static void`
`main(String[] args)`
Tests out the selectedtag editor from the command line.
`void`
`setAsText(String text)`
Sets the current property value as text.

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getSource, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SelectedTagEditor

public SelectedTagEditor()

## Method Details

### getJavaInitializationString

public String getJavaInitializationString()
Returns a description of the property value as java source.

Specified by:
  `getJavaInitializationString` in interface `PropertyEditor`
Overrides:
  `getJavaInitializationString` in class `PropertyEditorSupport`
Returns:
  a value of type 'String'

### getAsText

public String getAsText()
Gets the current value as text.

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`
Returns:
  a value of type 'String'

### setAsText

public void setAsText(String text)
Sets the current property value as text.

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Parameters:
  `text` - the text of the selected tag.
Throws:
  `IllegalArgumentException` - if an error occurs

### getTags

public String[] getTags()
Gets the list of tags that can be selected from.

Specified by:
  `getTags` in interface `PropertyEditor`
Overrides:
  `getTags` in class `PropertyEditorSupport`
Returns:
  an array of string tags.

### main

public static void main(String[] args)
Tests out the selectedtag editor from the command line.

Parameters:
  `args` - ignored